Create Artifact
const url = 'https://api.ultimateteam.ai/api/v1/team-chat/threads/example/artifacts';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"artifact_type":"example","content":{},"created_by":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/team-chat/threads/example/artifacts \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "artifact_type": "example", "content": {}, "created_by": "example", "name": "example" }'Create a shared artifact in a conversation thread.
Args: thread_id: The thread UUID string. body: Artifact creation data. user: The authenticated user context. svc: The artifact service (injected).
Returns: The created artifact.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Input schema for creating a shared artifact.
Attributes: artifact_type: Type classification. name: Human-readable artifact name. content: The artifact data. created_by: Agent role that created it.
object
object
Examplegenerated
{ "artifact_type": "example", "content": {}, "created_by": "example", "name": "example"}Responses
Section titled “ Responses ”Successful Response
Response schema for a persisted shared artifact.
Attributes: id: Unique artifact identifier. thread_id: Owning thread identifier. tenant_id: Owning tenant UUID. artifact_type: Type classification. name: Human-readable artifact name. content: The artifact data. version: Version number. created_by: Agent role that created it. updated_by: Agent role that last updated it. parent_artifact_id: Previous version’s ID. created_at: When the artifact was created. updated_at: When the artifact was last updated.
object
object
Examplegenerated
{ "artifact_type": "example", "content": {}, "created_at": "2026-04-15T12:00:00Z", "created_by": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "parent_artifact_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "thread_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "example", "version": 1}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}